IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_45_check]') AND type = 'P')
DROP PROCEDURE [dbo].[order_45_check]
GO

-- 生成时间:2018-06-26 11:31:14 by ebs-core  
CREATE  procedure order_45_check(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_45 where ord_id=@ordid  

 ---- 以下是开发人员写的 check order 事件 --------------
 /*判断同一个人是否存在重复的离职申请单*/
if exists (select 1 from #master m, order_45 o where m.ord_gh = o.ord_gh and m.ord_id <> o.ord_id and o.ord_finished not in (0,-1))
begin
    set @operation = 'abort'
    set @errorinfo = '此员工已经新建了【离职申请单】，请勿重复提交！'
end
 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 

exec drop_temp_table '#master' 

set nocount off 
end